1

This MWE

\documentclass[]{book}    
\IfFileExists{luatex85.sty}{\usepackage{luatex85}}{}
\usepackage{fontspec}
\usepackage{fouriernc}
\begin{document}
test
\end{document}

Gives the error

lualatex foo.tex 
This is LuaTeX, Version 0.95.0 (TeX Live 2016) 
 restricted system commands enabled.
(./foo.tex
LaTeX2e <2016/03/31> patch level 2
Babel <3.9r> and hyphenation patterns for 1 language(s) loaded.
(/usr/local/texlive/2016/texmf-dist/tex/latex/base/book.cls
Document Class: book 2014/09/29 v1.4h Standard LaTeX document class
.....
(/usr/local/texlive/2016/texmf-dist/tex/latex/base/ts1enc.def))
(/usr/local/texlive/2016/texmf-dist/tex/latex/fourier/fourier-orns.sty)

! LaTeX Error: Command `\hbar' already defined.

See the LaTeX manual or LaTeX Companion for explanation.
Type  H <return>  for immediate help.
 ...                                              

l.148 ...reMathSymbol{\hbar}{\mathord}{symbols}{157}                                                      
? 

The error goes away when adding \usepackage{amssymb} before \usepackage{fouriernc}

\documentclass[]{book}

\IfFileExists{luatex85.sty}{\usepackage{luatex85}}{}
\usepackage{fontspec}
\usepackage{amssymb}
\usepackage{fouriernc}  %added this

\listfiles
\begin{document}
test
\end{document}

No error.

Question is: Is this an expected behaviour or is there something wrong? Should one always include amssym before fouriernc ? The error do not show up if compiled with pdflatex. So this compiled OK with pdflatex, even though amssym is missing:

\documentclass[]{book}
\usepackage{fouriernc} 
\usepackage[T1]{fontenc} 

\begin{document}
test
\end{document}

So error only shows up with lualatex and when amssym is not included.

TL 2016

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Browse other questions tagged or ask your own question.